Checking the system's condition before upgrading software

Before upgrading a StorageGRID Webscale system, you must verify the system is ready to accommodate the upgrade. You must ensure that the system is running normally and that all grid nodes are operational.

Steps

  1. Sign in to the Grid Manager using a supported browser.
  2. Check for and resolve any active alarms.
    For information on specific alarms, see troubleshooting instructions.
  3. Confirm that no conflicting grid tasks are active or pending.
    If you are currently running... Description
    StorageGRID Webscale 11.0.x Select Grid. Then select Site > primary Admin Node > CMN > Grid Tasks > Configuration.
    StorageGRID Webscale 11.1.x Select Support > Grid Topology. Then, select Site > primary Admin Node > CMN > Grid Tasks > Configuration.

    Information lifecycle management evaluation (ILME) tasks are the only grid tasks that can run concurrently with the software upgrade.

    If any other grid tasks are active or pending, wait for them to finish or release their lock.

    Note: Contact technical support if a task does not finish or release its lock.
  4. Select Maintenance > Decommission.
    If a decommission procedure is paused and either of the following conditions apply, you must click Resume and wait for the decommission to complete before you start the upgrade. Otherwise, the 11.1 upgrade prechecks will fail and report an error:
    • You started the decommission procedure using version 10.4 and paused it before upgrading to version 11.0.
    • You started the decommission procedure using version 11.0 and paused it to perform an expansion.
  5. Confirm that the hosts for all non-appliance Storage Nodes have at least 24 GB of memory available.
    The Cassandra heap settings have changed in StorageGRID Webscale 11.1. All of the reserved heap memory is now allocated on service start. If a Storage Node is currently running on a host with insufficient memory, it might fail to start Cassandra during the upgrade to 11.1.
    Note: Contact technical support for assistance with the upgrade if sufficient memory cannot be allocated before the upgrade.
  6. Recreate and then delete any legacy ILM rules.

    Legacy ILM rules are rules that you created before version 10.3. The upgrade prechecks for StorageGRID Webscale 11.1 will return an error if any legacy ILM rules are found. Before upgrading, you must recreate any legacy rules you still want to use and then delete all of them. See "Managing legacy ILM rules."

  7. Refer to the lists of internal and external ports in the 11.1 version of the installation instructions for your platform, and ensure that all required ports are opened before you upgrade.
    The upgrade prechecks for StorageGRID Webscale 11.1 will fail if StorageGRID Webscale cannot communicate on port 9999. You must ensure that this port is not blocked between sites or nodes.